package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.CombatProject;
import org.dromara.ygpassport.domain.vo.CombatProjectVo;
import org.dromara.ygpassport.domain.bo.CombatProjectBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 实战项目经历Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ICombatProjectService extends MPJBaseService<CombatProject> {

    /**
     * 查询实战项目经历
     */
    CombatProjectVo queryById(Long id);

    /**
     * 查询实战项目经历列表
     */
    TableDataInfo<CombatProjectVo> queryPageList(CombatProjectBo bo, PageQuery pageQuery);

    /**
     * 查询实战项目经历列表
     */
    List<CombatProjectVo> queryList(CombatProjectBo bo);

    /**
     * 根据学号查询实战项目经历列表
     */
    List<CombatProjectVo> queryListByStuNo(String stuNo);

    /**
     * 新增实战项目经历
     */
    Boolean insertByBo(CombatProjectBo bo);

    /**
     * 修改实战项目经历
     */
    Boolean updateByBo(CombatProjectBo bo);

    /**
     * 校验并批量删除实战项目经历信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
